<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPGraphData</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_graph_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-static-methods">Statyczne metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="class_q_c_p_graph_data-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPGraphData</div></div>
</div><!--header-->
<div class="contents">

<p>Holds the data of one single data point for <a class="el" href="class_q_c_p_graph.html" title="A plottable representing a graph in a plot.">QCPGraph</a>.  
 <a href="class_q_c_p_graph_data.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ac43f7499383d2fa2ffb7a4ad43f76c7c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#ac43f7499383d2fa2ffb7a4ad43f76c7c">QCPGraphData</a> ()</td></tr>
<tr class="separator:ac43f7499383d2fa2ffb7a4ad43f76c7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c32177f12f902f4e05f712837082bd6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a2c32177f12f902f4e05f712837082bd6">QCPGraphData</a> (double <a class="el" href="class_q_c_p_graph_data.html#a2fcebdf84af975761c0661237d7e28ec">key</a>, double <a class="el" href="class_q_c_p_graph_data.html#ac97e3ddbdcbe0b58d0b4d6f95250d59c">value</a>)</td></tr>
<tr class="separator:a2c32177f12f902f4e05f712837082bd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e0f37ea101eeec245d8c32a2206b204"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a5e0f37ea101eeec245d8c32a2206b204">sortKey</a> () const</td></tr>
<tr class="separator:a5e0f37ea101eeec245d8c32a2206b204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72fdaf738f679ef93bea3d552ba42d1b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a72fdaf738f679ef93bea3d552ba42d1b">mainKey</a> () const</td></tr>
<tr class="separator:a72fdaf738f679ef93bea3d552ba42d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b1e440a430a4a83d9a3f6f247510f27"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a1b1e440a430a4a83d9a3f6f247510f27">mainValue</a> () const</td></tr>
<tr class="separator:a1b1e440a430a4a83d9a3f6f247510f27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f8dd30360356f66cc418a170a9f3792"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_range.html">QCPRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a2f8dd30360356f66cc418a170a9f3792">valueRange</a> () const</td></tr>
<tr class="separator:a2f8dd30360356f66cc418a170a9f3792"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Statyczne metody publiczne</h2></td></tr>
<tr class="memitem:a4646eac7f7a48970ea0fc5153aab0e77"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_q_c_p_graph_data.html">QCPGraphData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a4646eac7f7a48970ea0fc5153aab0e77">fromSortKey</a> (double <a class="el" href="class_q_c_p_graph_data.html#a5e0f37ea101eeec245d8c32a2206b204">sortKey</a>)</td></tr>
<tr class="separator:a4646eac7f7a48970ea0fc5153aab0e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c98dfd21b82321a173db4ff860dfd21"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a1c98dfd21b82321a173db4ff860dfd21">sortKeyIsMainKey</a> ()</td></tr>
<tr class="separator:a1c98dfd21b82321a173db4ff860dfd21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:a2fcebdf84af975761c0661237d7e28ec"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#a2fcebdf84af975761c0661237d7e28ec">key</a></td></tr>
<tr class="separator:a2fcebdf84af975761c0661237d7e28ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac97e3ddbdcbe0b58d0b4d6f95250d59c"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_graph_data.html#ac97e3ddbdcbe0b58d0b4d6f95250d59c">value</a></td></tr>
<tr class="separator:ac97e3ddbdcbe0b58d0b4d6f95250d59c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>The stored data is: </p><ul>
<li><em>key:</em> coordinate on the key axis of this data point (this is the <em>mainKey</em> and the <em>sortKey</em>) </li>
<li><em>value:</em> coordinate on the value axis of this data point (this is the <em>mainValue</em>)</li>
</ul>
<p>The container for storing multiple data points is <a class="el" href="qcustomplot_8hpp.html#a2e5583d1ae212f0deb10537cf975a15a">QCPGraphDataContainer</a>. It is a typedef for <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a> with <a class="el" href="class_q_c_p_graph_data.html">QCPGraphData</a> as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="qcustomplot_8hpp.html#a2e5583d1ae212f0deb10537cf975a15a">QCPGraphDataContainer</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05463">5463</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ac43f7499383d2fa2ffb7a4ad43f76c7c" name="ac43f7499383d2fa2ffb7a4ad43f76c7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac43f7499383d2fa2ffb7a4ad43f76c7c">&#9670;&#160;</a></span>QCPGraphData() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPGraphData::QCPGraphData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a data point with key and value set to zero. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l20798">20798</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a2c32177f12f902f4e05f712837082bd6" name="a2c32177f12f902f4e05f712837082bd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c32177f12f902f4e05f712837082bd6">&#9670;&#160;</a></span>QCPGraphData() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPGraphData::QCPGraphData </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a data point with the specified <em>key</em> and <em>value</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l20807">20807</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a5e0f37ea101eeec245d8c32a2206b204" name="a5e0f37ea101eeec245d8c32a2206b204"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e0f37ea101eeec245d8c32a2206b204">&#9670;&#160;</a></span>sortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPGraphData::sortKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05469">5469</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a4646eac7f7a48970ea0fc5153aab0e77" name="a4646eac7f7a48970ea0fc5153aab0e77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4646eac7f7a48970ea0fc5153aab0e77">&#9670;&#160;</a></span>fromSortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_q_c_p_graph_data.html">QCPGraphData</a> QCPGraphData::fromSortKey </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a data point with the specified <em>sortKey</em>. All other members are set to zero.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05470">5470</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a1c98dfd21b82321a173db4ff860dfd21" name="a1c98dfd21b82321a173db4ff860dfd21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c98dfd21b82321a173db4ff860dfd21">&#9670;&#160;</a></span>sortKeyIsMainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static static bool QCPGraphData::sortKeyIsMainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Since the member <em>key</em> is both the data point key coordinate and the data ordering parameter, this method returns true.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05471">5471</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a72fdaf738f679ef93bea3d552ba42d1b" name="a72fdaf738f679ef93bea3d552ba42d1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72fdaf738f679ef93bea3d552ba42d1b">&#9670;&#160;</a></span>mainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPGraphData::mainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05473">5473</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a1b1e440a430a4a83d9a3f6f247510f27" name="a1b1e440a430a4a83d9a3f6f247510f27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b1e440a430a4a83d9a3f6f247510f27">&#9670;&#160;</a></span>mainValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPGraphData::mainValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>value</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05474">5474</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a2f8dd30360356f66cc418a170a9f3792" name="a2f8dd30360356f66cc418a170a9f3792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f8dd30360356f66cc418a170a9f3792">&#9670;&#160;</a></span>valueRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_range.html">QCPRange</a> QCPGraphData::valueRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> with both lower and upper boundary set to <em>value</em> of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05476">5476</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a2fcebdf84af975761c0661237d7e28ec" name="a2fcebdf84af975761c0661237d7e28ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fcebdf84af975761c0661237d7e28ec">&#9670;&#160;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPGraphData::key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05478">5478</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac97e3ddbdcbe0b58d0b4d6f95250d59c" name="ac97e3ddbdcbe0b58d0b4d6f95250d59c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac97e3ddbdcbe0b58d0b4d6f95250d59c">&#9670;&#160;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPGraphData::value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05478">5478</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_graph_data.html">QCPGraphData</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
